Apache log4cxx Version 0.10.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Static Public Member Functions | List of all members
PatternParser Class Reference

Most of the work of the PatternLayout class is delegated to the PatternParser class. More...

## Static Public Member Functions
static void | parse (const LogString &pattern, std::vector< PatternConverterPtr > &patternConverters, std::vector< FormattingInfoPtr > &formattingInfos, const PatternMap &rules)
| Parse a format specifier. More...

## Detailed Description

Most of the work of the PatternLayout class is delegated to the PatternParser class.

It is this class that parses conversion patterns and creates a chained list of PatternConverters.

## Member Function Documentation

static void parse | ( | const LogString & | pattern,
|  | std::vector< PatternConverterPtr > & | patternConverters,
|  | std::vector< FormattingInfoPtr > & | formattingInfos,
|  | const PatternMap & | rules
| ) |  |
| static

Parse a format specifier.

Parameters

  pattern | pattern to parse.
  patternConverters | list to receive pattern converters.
  formattingInfos | list to receive field specifiers corresponding to pattern converters.
  rules | map of stock pattern converters keyed by format specifier.

The documentation for this class was generated from the following file:

- patternparser.h